#
# $Id$
#

Name:           python-redfish
Version:        0.4.5
Release:        %mkrel 3
Summary:        Redfish python library

License:        ASL 2.0
Group:          Development/Python 
Url:            https://github.com/bcornec/python-redfish
Source:         ftp://ftp.mondorescue.org/src/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools >= 18
BuildRequires:  python3-pkg-resources >= 18
BuildRequires:  python3-sphinx >= 1.2.3
BuildRequires:  python3-future >= 0.15.2
BuildRequires:  python3-docopt >= 0.6.2
BuildRequires:  python3-requests >= 2.9.1
BuildRequires:  python3-simplejson >= 3.8.1
BuildRequires:  texlive
BuildRequires:  texlive-dist
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-pbr >= 0.8
BuildRequires:  python3-tortilla >= 0.4.1

%description
The Redfish API supports dialoging with a Redfish compliant
system such as defined by http://www.redfishcertification.org

%package -n python-redfish-doc
Summary: %{summary} / Documentation

%description -n python-redfish-doc
The Redfish API supports dialoging with a Redfish compliant
system such as defined by http://www.redfishcertification.org
Documentation

%prep
%autosetup

%build
%{python3} setup.py build
# Build minimal documentation
cd doc
make man
make singlehtml
make latexpdf

%install
./install.sh %{python3} %{buildroot} %{python3_sitelib} %{_prefix} python-redfish
./install.sh %{_docdir} %{buildroot} %{python3_sitelib} %{_prefix} python-redfish

%files
%doc README.rst examples/[a-z]*.py AUTHORS ChangeLog
%license LICENSE
%{_bindir}/redfish-client
%{_bindir}/redfish-check-cartridge
%{_datadir}/redfish-client/
%config(noreplace) %{_sysconfdir}/redfish-client.conf
%{_sysconfdir}/bash_completion.d/redfish-client.bash
%{python3_sitelib}/redfish/
%{python3_sitelib}/python_redfish*
%{_mandir}/man1/*.1*

%files -n python-redfish-doc
%{_docdir}/python-redfish/


%changelog
* Sun Jul 06 2025 umeabot <umeabot> 0.4.5-3.mga10
+ Revision: 2247497
- Mageia 10 Mass Rebuild

* Wed Mar 12 2025 daviddavid <daviddavid> 0.4.5-2.mga10
+ Revision: 2162953
- rebuild for python 3.13

* Thu Feb 06 2025 bcornec <bcornec> 0.4.5-1.mga10
+ Revision: 2145678
- Update to upstream 0.4.5
- Fix deps
- Fix deps
- Update to upstream 0.3 python-redfish
- Created package structure for python-redfish.

